## python-mastodon 2.1.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Mastodonpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Mastodonpy.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Mastodonpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Mastodonpy"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## python-mastodon 1.3.0

=== debian/changelog ===
python-mastodon (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * async option changed to run_async Closes: #904579
  * Remove dependency on http_ece

 -- Craig Small <csmall@debian.org>  Fri, 03 Aug 2018 21:51:10 +1000

python-mastodon (1.2.2-2) UNRELEASED; urgency=medium

  * d/control: Add Vcs-* field
  * d/control: Remove ancient X-Python3-Version field

 -- Ondřej Nový <onovy@debian.org>  Wed, 25 Apr 2018 10:05:28 +0200

python-mastodon (1.2.2-1) unstable; urgency=medium

  * Initial release Closes: #893213

 -- Craig Small <csmall@debian.org>  Tue, 13 Mar 2018 21:43:37 +1100

=== debian/control ===
Source: python-mastodon
Section: python
Priority: optional
Maintainer: Craig Small <csmall@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11~),
        dh-python, python3-all,
        python3-setuptools, python3-pytest-runner
Standards-Version: 4.1.3
Homepage: https://pypi.python.org/pypi/Mastodon.py
Vcs-Browser: https://salsa.debian.org/python-team/modules/mastodon
Vcs-Git: https://salsa.debian.org/python-team/modules/mastodon.git

Package: python3-mastodon
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Library for the Mastodon API (Python 3)
 Mastodon is an ActivityPub and OStatus based twitter-like federated social
 network node. It has an API that allows you to interact with its every aspect.
 .
 This is a simple Python 3 module for that API.

## python-mastodon 1.3.1

=== debian/changelog ===
python-mastodon (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * Update standards to 4.3.0

 -- Craig Small <csmall@debian.org>  Tue, 05 Feb 2019 21:53:20 +1100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Craig Small <csmall@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
         dh-python, python3-all,
         python3-setuptools, python3-pytest-runner
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://pypi.python.org/pypi/Mastodon.py
 Vcs-Browser: https://salsa.debian.org/python-team/modules/mastodon
 Vcs-Git: https://salsa.debian.org/python-team/modules/mastodon.git

## python-mastodon 1.4.2

=== debian/changelog ===
python-mastodon (1.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Craig Small <csmall@debian.org>  Fri, 31 May 2019 21:38:08 +1000

## python-mastodon 1.5.0

=== debian/changelog ===
python-mastodon (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * Debian standards to 4.4.1

 -- Craig Small <csmall@debian.org>  Sun, 13 Oct 2019 21:18:59 +1100

python-mastodon (1.4.6-2) unstable; urgency=medium

  * Added CI
  * rebuilt with source only

 -- Craig Small <csmall@debian.org>  Thu, 26 Sep 2019 21:49:50 +1000

python-mastodon (1.4.6-1) unstable; urgency=medium

  * New upstream version
  * Update standards to 4.4.0

 -- Craig Small <csmall@debian.org>  Thu, 12 Sep 2019 21:43:11 +1000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
         dh-python, python3-all,
         python3-setuptools, python3-pytest-runner
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://pypi.python.org/pypi/Mastodon.py
 Vcs-Browser: https://salsa.debian.org/python-team/modules/mastodon
 Vcs-Git: https://salsa.debian.org/python-team/modules/mastodon.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = mastodon

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# no tests

## python-mastodon 1.5.1

=== debian/changelog ===
python-mastodon (1.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces.

  [ Craig Small ]
  * Enable the build-time testing.
  * New upstream release

 -- Craig Small <csmall@debian.org>  Mon, 30 Mar 2020 19:49:22 +1100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,11 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 12),
         dh-python, python3-all,
-        python3-setuptools, python3-pytest-runner
+        python3-setuptools, python3-pytest-runner,
+        python3-pytest-cov, python3-vcr,
+	python3-pytest-mock, python3-tz, python3-requests-mock,
+	python3-dateutil, python3-decorator,
+	python3-magic,
 Standards-Version: 4.4.1
 Homepage: https://pypi.python.org/pypi/Mastodon.py
 Vcs-Browser: https://salsa.debian.org/python-team/modules/mastodon

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_auto_test:
-	# no tests

## python-mastodon 1.8.0

=== debian/changelog ===
python-mastodon (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Craig Small <csmall@debian.org>  Fri, 09 Dec 2022 21:56:50 +1100

python-mastodon (1.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Craig Small <csmall@debian.org>  Tue, 15 Nov 2022 21:06:30 +1100

python-mastodon (1.5.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1, no changes needed.
  * Update to debhelper compat 13

 -- Craig Small <csmall@debian.org>  Sat, 12 Nov 2022 16:17:11 +1100

python-mastodon (1.5.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jun 2022 13:22:00 -0400

=== debian/control ===
Source: python-mastodon
Section: python
Priority: optional
Maintainer: Craig Small <csmall@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
        dh-python, python3-all,
        python3-setuptools, python3-pytest-runner,
        python3-pytest-cov, python3-vcr,
	python3-pytest-mock, python3-tz, python3-requests-mock,
	python3-dateutil, python3-decorator,
	python3-magic,
Standards-Version: 4.6.1
Homepage: https://github.com/halcy/Mastodon.py
Vcs-Browser: https://salsa.debian.org/python-team/packages/mastodon
Vcs-Git: https://salsa.debian.org/python-team/packages/mastodon.git

Package: python3-mastodon
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Library for the Mastodon API (Python 3)
 Mastodon is an ActivityPub and OStatus based twitter-like federated social
 network node. It has an API that allows you to interact with its every aspect.
 .
 This is a simple Python 3 module for that API.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Mastodon.py/Mastodon.py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mastodon 1.8.1

=== debian/changelog ===
python-mastodon (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Add build-dependency to blurhash as it is now packaged

 -- Craig Small <csmall@debian.org>  Mon, 17 Jul 2023 17:57:26 +1000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
         python3-pytest-cov, python3-vcr,
 	python3-pytest-mock, python3-tz, python3-requests-mock,
 	python3-dateutil, python3-decorator,
-	python3-magic,
+	python3-magic, python3-blurhash,
 Standards-Version: 4.6.1
 Homepage: https://github.com/halcy/Mastodon.py
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mastodon
@@ -18,6 +18,7 @@
 Package: python3-mastodon
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
+Recommends: python3-blurhash
 Description: Library for the Mastodon API (Python 3)
  Mastodon is an ActivityPub and OStatus based twitter-like federated social
  network node. It has an API that allows you to interact with its every aspect.

## python-mastodon 2.0.0

=== debian/changelog ===
python-mastodon (2.0.0-1) unstable; urgency=medium

  * New upstream release, this is a major rework of the old 1.8.x
    releases
  * Update standards version to 4.7.0, no changes needed.

 -- Craig Small <csmall@debian.org>  Thu, 20 Feb 2025 21:33:13 +1100

python-mastodon (1.8.1-2) unstable; urgency=medium

  * Team Upload
  * Fix watch file for new PyPi naming policy
    -> upstream version 2.0 was published today
  * Set DPT as Maintainer per new Team policy
  * Teformat with debputy
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 22:30:21 +0100

=== debian/control ===
Source: python-mastodon
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Craig Small <csmall@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-requests,
 python3-dateutil,
 python3-magic,
 python3-decorator,
 python3-blurhash,
 python3-http-ece,
 python3-cryptography,
 python3-pytest-cov,
 python3-pytest-vcr,
 python3-pytest-mock,
 python3-requests-mock,
 python3-tz,
 python3-retry
Standards-Version: 4.7.0
Homepage: https://github.com/halcy/Mastodon.py
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mastodon
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mastodon.git
X-Style: black

Package: python3-mastodon
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-blurhash,
Description: Library for the Mastodon API (Python 3)
 Mastodon is an ActivityPub and OStatus based twitter-like federated social
 network node. It has an API that allows you to interact with its every aspect.
 .
 This is a simple Python 3 module for that API.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME = mastodon
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## python-mastodon 2.0.1

=== debian/changelog ===
python-mastodon (2.0.1-3) unstable; urgency=medium

  * Team upload.
  * Reinstate Build-Depends / Recommends on python3-blurhash.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2025 14:48:48 +0200

python-mastodon (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Skip failing tests on i386 and riscv64 (closes: #1103591).

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 May 2025 15:42:05 +0100

python-mastodon (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Build-Depends / Recommends on python3-blurhash for now, since it is
    incompatible; see https://bugs.debian.org/1101140.
  * Build-depend directly on python3-pytest so that tests are run.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Mar 2025 17:39:41 +0000

python-mastodon (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100271).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Mar 2025 10:52:44 +0000

=== debian/control ===
Source: python-mastodon
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Craig Small <csmall@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-blurhash (>= 1.1.4+ds-1~),
 python3-cryptography,
 python3-dateutil,
 python3-decorator,
 python3-http-ece,
 python3-magic,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-pytest-vcr,
 python3-requests,
 python3-requests-mock,
 python3-retry,
 python3-setuptools,
 python3-tz,
Standards-Version: 4.7.0
Homepage: https://github.com/halcy/Mastodon.py
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mastodon
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mastodon.git
Testsuite: autopkgtest-pkg-pybuild
X-Style: black

Package: python3-mastodon
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-blurhash (>= 1.1.4+ds-1~),
Description: Library for the Mastodon API (Python 3)
 Mastodon is an ActivityPub and OStatus based twitter-like federated social
 network node. It has an API that allows you to interact with its every aspect.
 .
 This is a simple Python 3 module for that API.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,24 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+include /usr/share/dpkg/architecture.mk
+
 export PYBUILD_NAME = mastodon
+export https_proxy =
+
+ifeq ($(DEB_HOST_ARCH),i386)
+# These test scheduling posts for the year 2100, but the Debian i386
+# architecture doesn't have 64-bit time support.
+export PYBUILD_TEST_ARGS := \
+	--deselect tests/test_entities.py::test_entity_scheduledstatus \
+	--deselect tests/test_entities.py::test_entity_scheduledstatusparams
+endif
+ifeq ($(DEB_HOST_ARCH),riscv64)
+# Flaky, perhaps due to timing.
+export PYBUILD_TEST_ARGS := \
+	--deselect tests/test_streaming.py::test_stream_user_direct \
+	--deselect tests/test_streaming.py::test_stream_user_local
+endif
 
 %:
 	dh $@ --buildsystem=pybuild

## python-mastodon 2.1.0

=== debian/changelog ===
python-mastodon (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Aug 2025 01:06:55 +0100

## python-mastodon 2.1.2

=== debian/changelog ===
python-mastodon (2.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2025 12:24:43 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-mock,
- python3-pytest-vcr,
+ python3-pytest-recording,
  python3-requests,
  python3-requests-mock,
  python3-retry,

## python-mastodon 2.1.3

=== debian/changelog ===
python-mastodon (2.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Sep 2025 01:41:50 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-retry,
  python3-setuptools,
  python3-tz,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/halcy/Mastodon.py
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mastodon
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mastodon.git

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,19 @@
 export PYBUILD_NAME = mastodon
 export https_proxy =
 
+# Requires grapheme, which is not yet packaged in debian.
+export PYBUILD_TEST_ARGS := --deselect tests/test_status_length.py
+
 ifeq ($(DEB_HOST_ARCH),i386)
 # These test scheduling posts for the year 2100, but the Debian i386
 # architecture doesn't have 64-bit time support.
-export PYBUILD_TEST_ARGS := \
+PYBUILD_TEST_ARGS += \
 	--deselect tests/test_entities.py::test_entity_scheduledstatus \
 	--deselect tests/test_entities.py::test_entity_scheduledstatusparams
 endif
 ifeq ($(DEB_HOST_ARCH),riscv64)
 # Flaky, perhaps due to timing.
-export PYBUILD_TEST_ARGS := \
+PYBUILD_TEST_ARGS += \
 	--deselect tests/test_streaming.py::test_stream_user_direct \
 	--deselect tests/test_streaming.py::test_stream_user_local
 endif
